package com.lz.modules.performance.dao;
/**
* <p>
* 任务表 服务类
* </p>
*
* @author quyixiao
* @since 2020-12-08
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.performance.dto.ResultTaskDto;
import com.lz.modules.performance.entity.ResultTask;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ResultTaskMapper extends BaseMapper<ResultTask> {


	ResultTask selectResultTaskById(@Param("id") Long id);


	Long insertResultTask(ResultTask resultTask);


	int updateResultTaskById(ResultTask resultTask);


	int updateCoverResultTaskById(ResultTask resultTask);


	int deleteResultTaskById(@Param("id") Long id);

	List<ResultTaskDto> selectResultTaskDtosByDetailId(@Param("detailId") Long detailId);

	List<ResultTaskDto> selectAllResultTaskDtosByDetailId(@Param("detailId") Long detailId);

	List<ResultTask> selectResultTasksByDetailId(@Param("detailId") Long detailId);

    int deleteResultTasksByDetailId(Long detailId);
}